
proc get_random_integer {min max} {

    set value [expr int([expr rand() * ($max-$min)+$min])]
    return $value
}



proc get_random_float {min max} {
    if {$min != $max} {
    set value [format %.6f [expr double([expr rand() * ($max-$min)+$min])]]
    return $value
} else {
    set value $min
    return $value
}
}


proc get_random_integer_with_seed {min max seed} {

    expr srand($seed)
    set value [expr int([expr rand() * ($max-$min)+$min])]
    return $value
}



proc get_random_float_with_seed {min max seed} {
    if {$min != $max} {
    expr srand($seed)
    set value [format %.6f [expr double([expr rand() * ($max-$min)+$min])]]
    return $value
} else {
    set value $min
    return $value
}
}

#puts " the random ineger number is: [get_random_integer 10 15]\n"
#puts " the random float number is: [get_random_float 0.001 0.0015]\n"



